import { declare } from '@babel/helper-plugin-utils';

var index = declare((api, options) => {
  api.assertVersion(7);
  const {
    all,
    enums
  } = options;
  if (typeof all !== "boolean" && typeof all !== "undefined") {
    throw new Error(".all must be a boolean, or undefined");
  }
  if (typeof enums !== "boolean" && typeof enums !== "undefined") {
    throw new Error(".enums must be a boolean, or undefined");
  }
  return {
    name: "syntax-flow",
    manipulateOptions(opts, parserOpts) {
      parserOpts.plugins.push(["flow", {
        all,
        enums
      }]);
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
